package cz.moneta.test.dsl.demo.web;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.demo.DemoEdgeWebEndpoint;
import cz.moneta.test.harness.support.web.Builders;

public class DemoWebEdge {

    private final Harness harness;

    public DemoWebEdge(Harness harness) {
        this.harness = harness;
    }

    public DemoTestPage openTestPage() {
        DemoEdgeWebEndpoint demoEdgeWebEndpoint = harness.getEndpoint(DemoEdgeWebEndpoint.class);
        demoEdgeWebEndpoint.openApplication();
        return Builders.newWebFlowBuilder(DemoTestPage.class, demoEdgeWebEndpoint, harness);
    }

}
